package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.platform.modules.live.vo.LiveSceneRecordVo;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 现场回顾
 * 
 * @author TONG
 * @email ${email}
 * @date 2019-03-15 19:45:22
 */
@TableName("live_scene_record")
public class LiveSceneRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 现场id
	 */
	@ApiModelProperty(value = "现场id")
	private Integer sceneId;
	/**
	 * 回顾名称
	 */
	@ApiModelProperty(value = "回顾名称")
	private String recordName;
	/**
	 * 标题图
	 */
	@ApiModelProperty(value = "标题图")
	private String titleImage;
	/**
	 * 视频时长
	 */
	@ApiModelProperty(value = "地址")
	private String uri;
	/**
	 * 视频时长
	 */
	@ApiModelProperty(value = "视频时长")
	private Double duration;
	/**
	 * 开始unix时间
	 */
	@ApiModelProperty(value = "开始unix时间")
	private Integer startTime;
	/**
	 * 结束unix时间
	 */
	@ApiModelProperty(value = "结束unix时间")
	private Integer stopTime;
	/**
	 * 
	 */
	private Integer creatorId;
	/**
	 * 
	 */
	private Date createDate;
	/**
	 * 
	 */
	private Integer lastUpdatorId;
	/**
	 * 
	 */
	private Date lastUpdateDate;
	/**
	 * 0:未审核；1：审核显示
	 */
	@ApiModelProperty(value = "状态，0:未审核；1：审核显示")
	private Integer recordStatus;

	@ApiModelProperty(value = "排序，数字越大，排序越靠前")
	private Integer priority;

	/**
	 * 
	 */
	private Integer isDelete;
	/**
	 * 素材信息id
	 */
    @ApiModelProperty(value = "媒体信息id")
	private Integer mediaId;
    /**
	 * 租户ID
	 * */
    @ApiModelProperty(value = "租户ID")
	private Long tenantId;
    /**
	 * 回顾类型，0：直播时移；1：m3u8；2：mp4；3.快速剪辑；4.mp3
	 * */
    @ApiModelProperty(value = "回顾类型，0：直播时移；1：m3u8；2：mp4；3.快速剪辑；4.mp3")
	private Integer recordType;

	@ApiModelProperty(value = "转写语音文字后的mp3地址")
	private String voiceUrl;

	@ApiModelProperty(value = "转写语音文字后的文字")
	private String text;

	@ApiModelProperty(value = "转写语音文字任务taskId")
	private String taskId;

	@ApiModelProperty(value = "是否转写语音文字，0：不转文字，1：转文字")
	private Integer isTxt;

	@ApiModelProperty(value = "语音转写文字状态，0：未转；1：转码成功；2：转码中")
	private Integer toTxtStatus;

	public LiveSceneRecordEntity() {}

	public LiveSceneRecordEntity(LiveSceneRecordVo vo) {
		this.id = vo.getId();
		this.createDate = vo.getCreateDate();
		this.creatorId = vo.getCreatorId();
		this.duration = vo.getDuration();
		this.lastUpdateDate = vo.getLastUpdateDate();
		this.lastUpdatorId = vo.getLastUpdaterId();
		this.recordName = vo.getRecordName();
		this.titleImage = vo.getTitleImage();
		this.recordStatus = vo.getRecordStatus();
		this.sceneId = vo.getSceneId();
		this.startTime = vo.getStartTime();
		this.stopTime = vo.getStopTime();
		this.uri = vo.getUri();
		this.priority = vo.getPriority();
		this.mediaId = vo.getMediaId();
		this.tenantId = vo.getTenantId();
		this.recordType = vo.getRecordType();
		this.text = vo.getText();
		this.isTxt = vo.getIsTxt();
		this.toTxtStatus = vo.getToTxtStatus();
	}
	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：现场id
	 */
	public void setSceneId(Integer sceneId) {
		this.sceneId = sceneId;
	}
	/**
	 * 获取：现场id
	 */
	public Integer getSceneId() {
		return sceneId;
	}
	/**
	 * 设置：回顾名称
	 */
	public void setRecordName(String recordName) {
		this.recordName = recordName;
	}
	/**
	 * 获取：回顾名称
	 */
	public String getRecordName() {
		return recordName;
	}
	/**
	 * 设置：标题图
	 */
	public void setTitleImage(String titleImage) {
		this.titleImage = titleImage;
	}
	/**
	 * 获取：标题图
	 */
	public String getTitleImage() {
		return titleImage;
	}
	/**
	 * 设置：视频时长
	 */
	public void setUri(String uri) {
		this.uri = uri;
	}
	/**
	 * 获取：视频时长
	 */
	public String getUri() {
		return uri;
	}
	/**
	 * 设置：视频时长
	 */
	public void setDuration(Double duration) {
		this.duration = duration;
	}
	/**
	 * 获取：视频时长
	 */
	public Double getDuration() {
		return duration;
	}
	/**
	 * 设置：开始unix时间
	 */
	public void setStartTime(Integer startTime) {
		this.startTime = startTime;
	}
	/**
	 * 获取：开始unix时间
	 */
	public Integer getStartTime() {
		return startTime;
	}
	/**
	 * 设置：结束unix时间
	 */
	public void setStopTime(Integer stopTime) {
		this.stopTime = stopTime;
	}
	/**
	 * 获取：结束unix时间
	 */
	public Integer getStopTime() {
		return stopTime;
	}
	/**
	 * 设置：
	 */
	public void setCreatorId(Integer creatorId) {
		this.creatorId = creatorId;
	}
	/**
	 * 获取：
	 */
	public Integer getCreatorId() {
		return creatorId;
	}
	/**
	 * 设置：
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：
	 */
	public void setLastUpdatorId(Integer lastUpdatorId) {
		this.lastUpdatorId = lastUpdatorId;
	}
	/**
	 * 获取：
	 */
	public Integer getLastUpdatorId() {
		return lastUpdatorId;
	}
	/**
	 * 设置：
	 */
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}
	/**
	 * 获取：
	 */
	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	/**
	 * 设置：0:未审核；1：审核显示
	 */
	public void setRecordStatus(Integer recordStatus) {
		this.recordStatus = recordStatus;
	}
	/**
	 * 获取：0:未审核；1：审核显示
	 */
	public Integer getRecordStatus() {
		return recordStatus;
	}
	/**
	 * 设置：
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 设置：排序，数字越大，排序越靠前
	 */
	public void setPriority(Integer priority) {
		this.priority = priority;
	}
	/**
	 * 获取：排序，数字越大，排序越靠前
	 */
	public Integer getPriority() {
		return priority;
	}
	/**
	 * 设置：素材信息id
	 */
	public void setMediaId(Integer mediaId) {
		this.mediaId = mediaId;
	}
	/**
	 * 获取：素材信息id
	 */
	public Integer getMediaId() {
		return mediaId;
	}

	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}

	public Integer getRecordType() {
		return recordType;
	}

	public void setRecordType(Integer recordType) {
		this.recordType = recordType;
	}

	public String getVoiceUrl() {
		return voiceUrl;
	}

	public void setVoiceUrl(String voiceUrl) {
		this.voiceUrl = voiceUrl;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public Integer getIsTxt() {
		return isTxt;
	}

	public void setIsTxt(Integer isTxt) {
		this.isTxt = isTxt;
	}

	public Integer getToTxtStatus() {
		return toTxtStatus;
	}

	public void setToTxtStatus(Integer toTxtStatus) {
		this.toTxtStatus = toTxtStatus;
	}
}
